> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acedata.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Conversations

> Use Large Language Model to generate answers for the given prompt, which can supports all kind of models, such as GPT-3, GPT-4, GPT-4-Browsing, etc



## OpenAPI

````yaml /openapi/aichat.json post /aichat/conversations
openapi: 3.0.0
info:
  title: AI Dialogue
  version: 1.0.0
  description: API reference for AI Dialogue on Ace Data Cloud.
servers:
  - url: https://api.acedata.cloud
    description: Ace Data Cloud API
security:
  - bearerAuth: []
paths:
  /aichat/conversations:
    post:
      summary: Conversations
      description: >-
        Use Large Language Model to generate answers for the given prompt, which
        can supports all kind of models, such as GPT-3, GPT-4, GPT-4-Browsing,
        etc
      parameters:
        - in: header
          name: accept
          schema:
            enum:
              - application/json
              - application/x-ndjson
            type: string
          required: false
          description: Aichat Conversations Param Accept
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - question
                - model
              properties:
                id:
                  type: string
                  description: Aichat Conversations Id
                model:
                  enum:
                    - gpt-5.5
                    - gpt-5.5-pro
                    - gpt-5.4
                    - gpt-5.4-mini
                    - gpt-5.4-nano
                    - gpt-5.4-pro
                    - gpt-5.2
                    - gpt-5.1
                    - gpt-5.1-all
                    - gpt-5
                    - gpt-5-mini
                    - gpt-5-nano
                    - gpt-5-all
                    - gpt-4
                    - gpt-4-all
                    - gpt-4-turbo
                    - gpt-4-turbo-preview
                    - gpt-4-vision-preview
                    - gpt-4.1
                    - gpt-4.1-2025-04-14
                    - gpt-4.1-mini
                    - gpt-4.1-mini-2025-04-14
                    - gpt-4.1-nano
                    - gpt-4.1-nano-2025-04-14
                    - gpt-4.5-preview
                    - gpt-4.5-preview-2025-02-27
                    - gpt-4o
                    - gpt-4o-2024-05-13
                    - gpt-4o-2024-08-06
                    - gpt-4o-2024-11-20
                    - gpt-4o-all
                    - gpt-4o-image
                    - gpt-4o-mini
                    - gpt-4o-mini-2024-07-18
                    - gpt-4o-mini-search-preview
                    - gpt-4o-mini-search-preview-2025-03-11
                    - gpt-4o-search-preview
                    - gpt-4o-search-preview-2025-03-11
                    - o1
                    - o1-2024-12-17
                    - o1-all
                    - o1-mini
                    - o1-mini-2024-09-12
                    - o1-mini-all
                    - o1-preview
                    - o1-preview-2024-09-12
                    - o1-preview-all
                    - o1-pro
                    - o1-pro-2025-03-19
                    - o1-pro-all
                    - o3
                    - o3-2025-04-16
                    - o3-all
                    - o3-mini
                    - o3-mini-2025-01-31
                    - o3-mini-2025-01-31-high
                    - o3-mini-2025-01-31-low
                    - o3-mini-2025-01-31-medium
                    - o3-mini-all
                    - o3-mini-high
                    - o3-mini-high-all
                    - o3-mini-low
                    - o3-mini-medium
                    - o3-pro
                    - o3-pro-2025-06-10
                    - o4-mini
                    - o4-mini-2025-04-16
                    - o4-mini-all
                    - o4-mini-high-all
                    - deepseek-r1
                    - deepseek-r1-0528
                    - deepseek-v3
                    - deepseek-v3-250324
                    - deepseek-v4-flash
                    - grok-3
                    - glm-5.2
                    - glm-5
                    - glm-5-turbo
                    - glm-5.1
                    - glm-4.7
                    - glm-4.6
                    - glm-3-turbo
                  type: string
                  description: Aichat Conversations Model
                preset:
                  type: string
                  description: Aichat Conversations Preset
                question:
                  type: string
                  description: Aichat Conversations Question
                stateful:
                  type: boolean
                  description: Aichat Conversations Stateful
                references:
                  type: array
                  items:
                    type: string
                    description: Aichat Conversations References
            example:
              model: gpt-5.5
              question: A cute cat playing piano
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                example:
                  id: 64a67fff-61dc-4801-8339-2c69334c61d6
                  answer: >-
                    I am a highly intelligent question answering AI. If you ask
                    me a question, I will do my best to give you a helpful
                    answer.
                properties:
                  id:
                    type: string
                    description: Aichat Conversations Response 200 Id
                  answer:
                    type: string
                    description: Aichat Conversations Response 200 Answer
          description: Aichat Conversations Response 200
        '400':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: token_mismatched
                        message: The specified token is not matched with API.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: token_mismatched
                            description: Aichat Conversations Response 400 Error Code
                          message:
                            type: string
                            example: The specified token is not matched with API.
                            description: Aichat Conversations Response 400 Error Message
                      trace_id:
                        type: string
                        description: Aichat Conversations Response 400 Trace Id
                  - type: object
                    example:
                      error:
                        code: api_not_implemented
                        message: The API is not implemented.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: api_not_implemented
                            description: Aichat Conversations Response 400 Error Code 2
                          message:
                            type: string
                            example: The API is not implemented.
                            description: Aichat Conversations Response 400 Error Message 2
                      trace_id:
                        type: string
                        description: Aichat Conversations Response 400 Trace Id 2
          description: Aichat Conversations Response 400
        '401':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: invalid_token
                        message: The specified token is invalid or wrong.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: invalid_token
                            description: Aichat Conversations Response 401 Error Code
                          message:
                            type: string
                            example: The specified token is invalid or wrong.
                            description: Aichat Conversations Response 401 Error Message
                      trace_id:
                        type: string
                        description: Aichat Conversations Response 401 Trace Id
          description: Aichat Conversations Response 401
        '429':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: too_many_requests
                        message: You have exceeded the rate limit.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: too_many_requests
                            description: Aichat Conversations Response 429 Error Code
                          message:
                            type: string
                            example: You have exceeded the rate limit.
                            description: Aichat Conversations Response 429 Error Message
                      trace_id:
                        type: string
                        description: Aichat Conversations Response 429 Trace Id
          description: Aichat Conversations Response 429
        '500':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: api_error
                        message: Internal server error.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: api_error
                            description: Aichat Conversations Response 500 Error Code
                          message:
                            type: string
                            example: Internal server error.
                            description: Aichat Conversations Response 500 Error Message
                      trace_id:
                        type: string
                        description: Aichat Conversations Response 500 Trace Id
          description: Aichat Conversations Response 500
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API token from https://platform.acedata.cloud

````